
<ui:composition template="../template/template.xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:p="http://primefaces.org/ui"
    xmlns:ui="http://java.sun.com/jsf/facelets">
    
    <ui:define name="title">
        .:Consultas Externas - Usuario:.
    </ui:define>
    
    <ui:define name="titlePages">
        <span>Perfil</span>
    </ui:define>
    <ui:define name="urlNavegacion">
      <li class="active">Administración</li>
      <li >Perfil </li>
    </ui:define>
    
    <ui:define name="content">
    #{perfilMB.validarSesion()}
    #{perfilMB.iniciarBandeja()}
	    <div class="row">
	    
	    	<h:form id="frmBandejaUltimoRevisor">
                
                <p:growl id="mensaje" showDetail="true" sticky="false" life="5000" />
                
                
                <div class="col-md-12">
                	<fieldset>
                           
                        <div class="row box-mb" style="display: none"> 
                            <div class="col-sm-12">
                                <label class="control-label"><b>Registro de consultas:</b></label>
                            </div>                       
                        </div>                                        
                		
                        <div class="row box-mb">
                           <div class="col-sm-4"  style="display: none;">
                                <div class="form-group">
			                    	<h:outputLabel for="txtCodigo" value="Código: " styleClass="control-label"/>                                        
                                    <p:inputText id="txtCodigo"
                                    			 value="#{perfilMB.perfilForm.codigo}"
                                                 maxlength="10"  
                                                 readonly="false"
                                                 styleClass="form-control"
                                                 tabindex="1"/>
			                     </div>
                           </div>
                           <div class="col-sm-8" >
                                <div class="form-group">
			                    	<h:outputLabel for="txtNombre" value="Nombre: " styleClass="control-label"/>                                        
                                    <p:inputText id="txtNombre"
                                    			 value="#{perfilMB.perfilForm.nombre}"
                                                 maxlength="100"  
                                                 readonly="false"
                                                 styleClass="form-control"
                                                 tabindex="1"/>
			                     </div>
                           </div>
                           
                        </div>
                        
                        <div class="row box-mb">
                           <div class="col-sm-4">
                                <div class="form-group">
			                    	<h:outputLabel for="txtEstado" value="Estado: " styleClass="control-label"/>                                        
                                    <p:selectOneMenu id="txtEstado" styleClass="form-control style-select" 
                                    				 value="#{perfilMB.perfilForm.estado}" disabled="false" >
                                        <f:selectItem itemValue="1" itemLabel="Activo"/>
                                        <f:selectItem itemValue="0" itemLabel="Inactivo"/>                                        
                                    </p:selectOneMenu>
			                     </div>
                           </div>
                        </div>
                            

				<p:panel  id="notificarPanel"  style="border: 0px solid #a8a8a8;">
                		<div class="row box-mb">
                        <br/>
                                <div class="col-sm-12 text-right box-main-btn">


                                    <p:commandButton    value="Grabar" 
                                                        styleClass="btn btn-primary btn-sensitive" 
                                                        icon="glyphicon glyphicon-floppy-disk ocultarImgIcon" 
                                                        ajax="false" 
                                                        rendered="#{perfilMB.mostrarBotonGrabar}"
                                                        onclick="PF('statusDialog').show()"
                                    					oncomplete="PF('statusDialog').hide()"
                                                        actionListener="#{perfilMB.grabarPerfil()}"
                                                        update=":frmBandejaUltimoRevisor,
											                 :frmBandejaUltimoRevisor:mensaje"
                                                        />
                                                        
                                    <p:commandButton    value="Editar" 
					                                    styleClass="btn btn-primary btn-sensitive" 
					                                    icon="glyphicon glyphicon-floppy-disk ocultarImgIcon" 
					                                    ajax="true" 
					                                    rendered="#{perfilMB.mostrarBotonEditar}"
					                                    onclick="PF('statusDialog').show()"
					                					oncomplete="PF('statusDialog').hide()"
					                                    actionListener="#{perfilMB.grabarPerfil()}"
					                                    update=":frmBandejaUltimoRevisor,
											                 :frmBandejaUltimoRevisor:mensaje"
					                                    /> 
					                                    
                                   <p:commandButton    value="Cancelar" 
					                                    styleClass="btn btn-primary btn-sensitive" 
					                                    icon="glyphicon glyphicon-remove ocultarImgIcon" 
					                                    ajax="false" 
					                                    rendered="#{perfilMB.mostrarBotonCancelar}"
					                                    onclick="PF('statusDialog').show()"
					                					oncomplete="PF('statusDialog').hide()"
					                                    actionListener="#{perfilMB.limpiarFormulario()}"
					                                    update="mensaje"
					                                    />                                                                                           					
                                </div>
                         </div>
                	</p:panel>
                	
                	
                	<div class="row box-mb"> 
                            <div class="col-sm-12">
                                <label class="control-label"><b>Lista de perfiles:</b></label>
                            </div>                       
                        </div>  
                         <div class="row box-mb">
                            <div class="col-sm-12 box-table-class">
                              <div class="form-group">
                                <p:dataTable  id="tblPerfiles" 
                                                var="registro" 
                                                value="#{perfilMB.lstPerfil}" 
                                                rowKey="#{item.id}" 
                                                paginator="true"
                                                paginatorPosition="top"
                                                rowsPerPageTemplate="10,20,30,40,50"
                                                rowIndexVar="item"
                                                rows="10"
                                                style="text-align:center"
                                                emptyMessage="No existen registros">
                                                
                                                <p:column headerText="Nombre "> 
                                                    <h:outputText value="#{registro.nombre}" />
                                                </p:column>
                                                
                                                <p:column headerText="Estado "> 
                                                    <h:outputText rendered="#{registro.estado eq '1'}" value="Activo" />
                                                    <h:outputText rendered="#{registro.estado eq '0'}" value="Inactivo" />
                                                </p:column>

                                               
                                                <p:column headerText="Acción" style="width:80px;text-align:center">
                                                        
                                                    <p:commandButton    actionListener="#{perfilMB.seleccionarRegistro(registro)}"
                                                                        title="Seleccionar Usuario"
                                                                        ajax="true"
                                                                        icon="ui-icon ui-icon-pencil"
                                                                        styleClass="colorSuccess"
                                                                        update=":frmBandejaUltimoRevisor"/>
	                            									
	                            					<p:commandButton   
                                                        styleClass="colorSuccess"
                                                        icon="ui-icon ui-icon-trash"                                                        
                                                        actionListener="#{perfilMB.seleccionarRegistroConfirmacion(registro)}"
                                                        ajax="true"/>
	                            				        
                                                                                                                                     
                                                </p:column>

                                    </p:dataTable>
                                  
                              </div>         
                            </div>
                         </div>
                	
                	
                		
                	</fieldset>
                </div>
                
                <p:confirmDialog message="Aviso de eliminación"
								 id="idGrpEliminarConfirmacion" 
						         showEffect="fade"
                                 styleClass="modal-confirmation"						                 
						         modal="true"
						         hideEffect="explode" 
						         widgetVar="grpEliminarConfirmacion"
						         width="30%">
						                  

                                 <div class="row" style="margin-left: 15px;margin-top: 5px;margin-bottom: 10px;">             
                                 	<h:outputText value="¿Confirma la eliminación del Perfil seleccionado:"/>
                                    <br/>
                                    <h:outputText value="Perfil "/> 
                                    <h:outputText value="#{perfilMB.perfilFormDelete.nombre}" escape="false" style="font-weight: 600;color:#000"/>
                                    <h:outputText value="?"/>
                                 </div>

								 <div class="row text-right box-dig-btn" style="margin-right: 0px;">            
								 	<p:commandButton title="Confirmar" 
											         value="Confirmar" 
											         actionListener="#{perfilMB.eliminar}"
											         onclick="PF('statusDialog').show()"
											         oncomplete="PF('grpEliminarConfirmacion').hide(), PF('statusDialog').hide()" 
                                                     styleClass="btn btn-primary btn-sensitive" 
											         update=":frmBandejaUltimoRevisor,
											                 :frmBandejaUltimoRevisor:mensaje"
											         /> 
											                         
									<p:commandButton title="Cancelar" 
                                                     styleClass="btn btn-default btn-sensitive btn-buscar"
											         value="Cancelar" 
											         oncomplete="PF('grpEliminarConfirmacion').hide()"/>
								 </div>                
								
				</p:confirmDialog>
                    
                <p:dialog widgetVar="statusDialog" modal="true" draggable="false" closable="false" resizable="false" showHeader="false">
		    		<p:graphicImage value="../resources/img/loadingbar.gif" />
				</p:dialog>    
                    
            </h:form>   
	    
	    </div>
    
    </ui:define>
    
</ui:composition>